apiVersion: v1
items:
- apiVersion: logging.openshift.io/v1
  kind: ClusterLogging
  metadata:
    creationTimestamp: "2022-10-11T10:29:19Z"
    generation: 8
    name: instance
    namespace: openshift-logging
    resourceVersion: "593893708"
    uid: 33d9098a-1d5a-45fc-8410-90ee8e362aee
  spec:
    collection:
      resources:
        limits:
          cpu: 300m
          memory: 1Gi
        requests:
          cpu: 100m
          memory: 500Mi
      tolerations:
      - effect: NoSchedule
        key: node-role.kubernetes.io/infra
        value: reserved
      - effect: NoExecute
        key: node-role.kubernetes.io/infra
        value: reserved
      type: fluentd
    logStore:
      elasticsearch:
        nodeCount: 3
        nodeSelector:
          node-role.kubernetes.io/infra: ""
        proxy:
          resources:
            limits:
              memory: 256Mi
            requests:
              memory: 256Mi
        redundancyPolicy: SingleRedundancy
        resources:
          limits:
            cpu: 1500m
            memory: 32Gi
          requests:
            cpu: 1500m
            memory: 32Gi
        storage:
          size: 500G
          storageClassName: gp2
        tolerations:
        - effect: NoSchedule
          key: node-role.kubernetes.io/infra
          value: reserved
        - effect: NoExecute
          key: node-role.kubernetes.io/infra
          value: reserved
      retentionPolicy:
        application:
          maxAge: 10d
        audit:
          maxAge: 10d
        infra:
          maxAge: 10d
      type: elasticsearch
    managementState: Managed
    visualization:
      kibana:
        nodeSelector:
          node-role.kubernetes.io/infra: ""
        replicas: 1
        tolerations:
        - effect: NoSchedule
          key: node-role.kubernetes.io/infra
          value: reserved
        - effect: NoExecute
          key: node-role.kubernetes.io/infra
          value: reserved
      type: kibana
  status:
    collection:
      logs:
        fluentdStatus:
          daemonSet: collector
          nodes:
            collector-8ccwt: ip-10-23-218-10.eu-west-2.compute.internal
            collector-59w5t: ip-10-23-214-186.eu-west-2.compute.internal
            collector-5p7nc: ip-10-23-218-139.eu-west-2.compute.internal
            collector-5qrc9: ip-10-23-211-139.eu-west-2.compute.internal
            collector-66bzd: ip-10-23-210-241.eu-west-2.compute.internal
            collector-67tfc: ip-10-23-210-251.eu-west-2.compute.internal
            collector-85lwb: ip-10-23-210-68.eu-west-2.compute.internal
            collector-989zz: ip-10-23-218-146.eu-west-2.compute.internal
            collector-frr6r: ip-10-23-211-44.eu-west-2.compute.internal
            collector-gtjfq: ip-10-23-211-65.eu-west-2.compute.internal
            collector-sml89: ip-10-23-218-198.eu-west-2.compute.internal
            collector-sz6zp: ip-10-23-218-53.eu-west-2.compute.internal
            collector-td7ks: ip-10-23-214-202.eu-west-2.compute.internal
            collector-wwfh2: ip-10-23-214-224.eu-west-2.compute.internal
            collector-xwvk8: ip-10-23-214-37.eu-west-2.compute.internal
          pods:
            failed: []
            notReady: []
            ready:
            - collector-59w5t
            - collector-5p7nc
            - collector-5qrc9
            - collector-66bzd
            - collector-67tfc
            - collector-85lwb
            - collector-8ccwt
            - collector-989zz
            - collector-frr6r
            - collector-gtjfq
            - collector-sml89
            - collector-sz6zp
            - collector-td7ks
            - collector-wwfh2
            - collector-xwvk8
    conditions:
    - lastTransitionTime: "2022-10-11T10:29:31Z"
      status: "False"
      type: CollectorDeadEnd
    - lastTransitionTime: "2022-10-11T10:29:19Z"
      message: curator is deprecated in favor of defining retention policy
      reason: ResourceDeprecated
      status: "True"
      type: CuratorRemoved
    curation: {}
    logStore:
      elasticsearchStatus:
      - cluster:
          activePrimaryShards: 209
          activeShards: 418
          initializingShards: 0
          numDataNodes: 3
          numNodes: 3
          pendingTasks: 0
          relocatingShards: 0
          status: green
          unassignedShards: 0
        clusterName: elasticsearch
        nodeConditions:
          elasticsearch-cdm-j2wwe2bs-1: []
          elasticsearch-cdm-j2wwe2bs-2: []
          elasticsearch-cdm-j2wwe2bs-3: []
        nodeCount: 3
        pods:
          client:
            failed: []
            notReady: []
            ready:
            - elasticsearch-cdm-j2wwe2bs-1-5ccd98d9bd-76jdk
            - elasticsearch-cdm-j2wwe2bs-2-64c549c94c-zm26l
            - elasticsearch-cdm-j2wwe2bs-3-98db5fc98-z22rs
          data:
            failed: []
            notReady: []
            ready:
            - elasticsearch-cdm-j2wwe2bs-1-5ccd98d9bd-76jdk
            - elasticsearch-cdm-j2wwe2bs-2-64c549c94c-zm26l
            - elasticsearch-cdm-j2wwe2bs-3-98db5fc98-z22rs
          master:
            failed: []
            notReady: []
            ready:
            - elasticsearch-cdm-j2wwe2bs-1-5ccd98d9bd-76jdk
            - elasticsearch-cdm-j2wwe2bs-2-64c549c94c-zm26l
            - elasticsearch-cdm-j2wwe2bs-3-98db5fc98-z22rs
        shardAllocationEnabled: all
    visualization:
      kibanaStatus:
      - deployment: kibana
        pods:
          failed: []
          notReady: []
          ready:
          - kibana-5d57c5b58b-kzs9s
        replicaSets:
        - kibana-6d885765dd
        - kibana-5d57c5b58b
        replicas: 1
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""
